Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezpageviewquery.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezpageviewquery.php 9901 2004-07-08 16:15:25Z br $
5 //
6 // Definition of eZPageViewQuery class
7 //
8 // Created on: <04-Jan-2001 18:00:08 bf>
9 //
10 // This source file is part of Exponential Basic, publishing software.
11 //
12 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
31
38 // include_once( "classes/ezdb.php" );
39 // include_once( "classes/ezquery.php" );
40 // include_once( "classes/ezdate.php" );
41 // include_once( "ezuser/classes/ezuser.php" );
42 // include_once( "ezstats/classes/ezpageview.php" );
43
44 class eZPageViewQuery
45 {
49 function __construct()
50 {
51 }
52
56 static public function totalPageViews()
57 {
58 $db =& eZDB::globalDatabase();
59
60 $db->array_query( $pageview, "SELECT SUM(Count) AS Count FROM eZStats_Archive_PageView" );
61 $ret = $pageview[0][$db->fieldName( "Count" )];
62 $db->array_query( $pageview_array, "SELECT COUNT(ID) AS Count FROM eZStats_PageView" );
63 $ret += $pageview_array[0][$db->fieldName( "Count" )];
64
65 return $ret;
66 }
67
73 static public function totalPageViewsDay( $dayObject )
74 {
75 $db =& eZDB::globalDatabase();
76 $ret = 0;
77
78 if ( is_a( $dayObject, "eZDate" ) )
79 {
80 $year = $dayObject->year();
81 $month = $dayObject->month();
82 $day = $dayObject->day();
83
84 if ( $month < 10 )
85 $month = "0" . $month;
86
87 if ( $day < 10 )
88 $day = "0" . $day;
89
90 $dateStamp = new eZDateTime( $year, $month, $day, 0, 0, 0 );
91
92 $endStamp = new eZDateTime( $year, $month, $day, 23, 59, 59 );
93 $db->array_query( $pageview_array,
94 "SELECT count(ID) AS Count
95 FROM eZStats_PageView
96 WHERE Date > '" . $dateStamp->timeStamp() .
97 "' AND Date < '" . $endStamp->timeStamp() . "' ");
98
99 $ret = $pageview_array[0][$db->fieldName( "Count" )];
100
101 $db->array_query( $pageview_array,
102 "SELECT SUM(Count) as Count
103 FROM eZStats_Archive_PageView
104 WHERE Hour > '" . $dateStamp->timeStamp() .
105 "' AND Hour < '" . $endStamp->timeStamp() . "' ");
106
107 $ret = $ret + $pageview_array[0][$db->fieldName( "Count" )];
108 }
109
110 return $ret;
111 }
112
113
119 static public function totalPageViewsMonth( $dayObject )
120 {
121 $db =& eZDB::globalDatabase();
122 $ret = 0;
123
124 if ( is_a( $dayObject, "eZDate" ) )
125 {
126 $year = $dayObject->year();
127 $month = $dayObject->month();
128
129 if ( $month < 10 )
130 $month = "0" . $month;
131
132 $dateStamp = new eZDateTime( $year, $month, 1, 0, 0, 0 );
133
134 if ( $month == 12 )
135 $endDate = new eZDateTime( $year + 1, 1, 1, 0, 0, 0 );
136 else
137 $endDate = new eZDateTime( $year, $month + 1, 1, 0, 0, 0 );
138
139 $db->array_query( $pageview_array,
140 "SELECT COUNT(ID) AS Count
141 FROM eZStats_PageView
142 WHERE Date > '" . $dateStamp->timeStamp() .
143 "' AND Date < '" . $endDate->timeStamp() . "'");
144
145 $ret = $pageview_array[0][$db->fieldName( "Count" )];
146 $db->array_query( $pageview_array,
147 "SELECT SUM(Count) AS Count
148 FROM eZStats_Archive_PageView
149 WHERE Hour > '" . $dateStamp->timeStamp() .
150 "' AND Hour < '" . $endDate->timeStamp() . "'");
151
152 $ret = $ret + $pageview_array[0][$db->fieldName( "Count" )];
153 }
154 return $ret;
155 }
156
161 static public function &sumBrowserTypeCount()
162 {
163 $db =& eZDB::globalDatabase();
164 $db->array_query( $pageview_array,
165 "SELECT Count FROM eZStats_Archive_BrowserType" );
166
167 $sum = 0;
168 foreach ( $pageview_array as $pageview )
169 {
170 $sum += $pageview[$db->fieldName( "Count" )];
171 }
172 return $sum;
173 }
174
175
182 static public function &latest( $limit = 20, $offset = 0 )
183 {
184 $db =& eZDB::globalDatabase();
185
186 $return_array = array();
187
188 $db->array_query( $pageview_array,
189 "SELECT ID, Date FROM eZStats_PageView
190 ORDER BY Date DESC",
191 array( "Limit" => $limit,
192 "Offset" => $offset ) );
193
194 for ( $i=0; $i < count($pageview_array); $i++ )
195 {
196 $return_array[$i] = new eZPageView( $pageview_array[$i][$db->fieldName( "ID" )], 0 );
197 }
198 return $return_array;
199 }
200
205 static public function &latestCount()
206 {
207 $db =& eZDB::globalDatabase();
208
209 $db->array_query( $pageview_array,
210 "SELECT COUNT(ID) AS Count FROM eZStats_PageView" );
211 $ret = $pageview_array[0][$db->fieldName( "Count" )];
212
213 $db->array_query( $pageview_array,
214 "SELECT COUNT(ID) AS Count FROM eZStats_Archive_PageView" );
215 $ret = $ret + $pageview_array[0][$db->fieldName( "Count" )];
216
217 return $ret;
218 }
219
226 static public function &topVisitors( $limit = 20, $offset = 0 )
227 {
228 $db =& eZDB::globalDatabase();
229
230 $return_array = array();
231 $db->array_query( $visitor_array, "SELECT * FROM eZStats_Archive_RemoteHost ORDER BY Count DESC",
232 array( "Limit" => $limit, "Offset" => $offset ) );
233
234 for ( $i=0; $i < count($visitor_array); $i++ )
235 {
236 $id = $visitor_array[$i][$db->fieldName( "ID" )];
237 $ip = (string)$visitor_array[$i][$db->fieldName( "IP" )];
238 $hostName = (string)$visitor_array[$i][$db->fieldName( "HostName" )];
239 $count = $visitor_array[$i][$db->fieldName( "Count" )];
240
241 // check if the domain name is fetched, if not try to fetch it
242 // and store the result in the table.
243 if ( $hostName = "NULL" )
244 {
245 $db->begin();
246 if ( $ip )
247 {
248 $sendIP = $ip;
249 $hostName =& eZPageView::getHostByAddr( $sendIP );
250 $result = $db->query( "UPDATE eZStats_Archive_RemoteHost SET HostName='$hostName'
251 WHERE ID='$id'" );
252 if ( $result == false )
253 $db->rollback( );
254 else
255 $db->commit();
256 }
257 else
258 {
259 $hostName = "";
260 }
261 }
262 $return_array[] = array( "ID" => (int)$id,
263 "IP" => (string)$ip,
264 "HostName" => (string)$hostName,
265 "Count" => (int)$count );
266 }
267 return $return_array;
268 }
269
273 static public function &topVisitorsCount()
274 {
275 $db =& eZDB::globalDatabase();
276
277 $return_array = array();
278 $db->array_query( $visitor_array,
279 "SELECT count( ID ) AS Count FROM eZStats_Archive_RemoteHost" );
280
281 return $visitor_array[0][$db->fieldName( "Count" )];
282 }
283
290 static public function &topReferers( $limit = 40, $excludeDomain = "", $offset = 0 )
291 {
292 $db =& eZDB::globalDatabase();
293
294 $return_array = array();
295 $visitor_array = array();
296 $search_text = "";
297 $excludeTableName = "";
298
299 if ( $excludeDomain != "" )
300 {
301 $query = new eZQuery( array( "eZStats_Archive_RefererURL.Domain", "eZStats_Archive_RemoteHost.IP" ),
302 $excludeDomain );
303 $search_text = "WHERE " . $query->buildQuery();
304 $excludeTableName = ", eZStats_Archive_RemoteHost";
305 }
306
307 $db->array_query( $visitor_array,
308 "SELECT eZStats_Archive_RefererURL.Domain, eZStats_Archive_RefererURL.URI , eZStats_Archive_RefererURL.Count
309 FROM eZStats_Archive_RefererURL $excludeTableName $search_text GROUP BY Domain, URI ORDER BY Count DESC, URI ASC",
310 array( "Limit" => $limit,
311 "Offset" => $offset ) );
312
313 for ( $i=0; $i < count($visitor_array); $i++ )
314 {
315 $return_array[$i] = array( "Domain" => $visitor_array[$i][$db->fieldName( "Domain" )],
316 "URI" => $visitor_array[$i][$db->fieldName( "URI" )],
317 "Count" => $visitor_array[$i][$db->fieldName( "Count" )] );
318 }
319 return $return_array;
320 }
321
325 static public function &topReferersCount( $excludeDomain = "")
326 {
327 $db =& eZDB::globalDatabase();
328
329 $search_text = "";
330 $excludeTableName = "";
331
332 if ( $excludeDomain != "" )
333 {
334 $query = new eZQuery( array( "eZStats_Archive_RefererURL.Domain", "eZStats_Archive_RemoteHost.IP" ),
335 $excludeDomain );
336 $search_text = "WHERE " . $query->buildQuery();
337 $excludeTableName = ", eZStats_Archive_RemoteHost";
338 }
339
340 $db->array_query( $visitor_array,
341 "SELECT count( eZStats_Archive_RefererURL.ID ) as ID
342 FROM eZStats_Archive_RefererURL $excludeTableName
343 $search_text
344 GROUP BY Domain, URI" );
345
346 return count( $visitor_array );
347 }
348
355 static public function &topBrowsers( $limit = 25, $offset = 0 )
356 {
357 $db =& eZDB::globalDatabase();
358
359 $return_array = array();
360
361 $db->array_query( $visitor_array,
362 "SELECT ID, Count, Browser
363 FROM eZStats_Archive_BrowserType
364 GROUP BY Browser, Count
365 ORDER BY Count DESC",
366 array( "Limit" => $limit,
367 "Offset" => $offset ) );
368
369 for ( $i=0; $i < count($visitor_array); $i++ )
370 {
371 $return_array[$i] = array( "ID" => $visitor_array[$i][$db->fieldName( "ID" )],
372 "Name" => $visitor_array[$i][$db->fieldName( "Browser" )],
373 "Count" => $visitor_array[$i][$db->fieldName( "Count" )] );
374 }
375
376 return $return_array;
377 }
378
382 static public function &topBrowsersCount()
383 {
384 $db =& eZDB::globalDatabase();
385
386 $return_array = array();
387
388 $db->array_query( $visitor_array,
389 "SELECT count(ID) AS Count, Browser FROM eZStats_Archive_BrowserType GROUP BY Browser" );
390
391 return $visitor_array[0][ $db->fieldName( "Count" )];
392 }
393
400 static public function &topRequests( $limit = 20, $offset = 0 )
401 {
402 $db =& eZDB::globalDatabase();
403
404 $return_array = array();
405 $db->array_query( $visitor_array,
406 "SELECT ID, Count, URI, Month
407 FROM eZStats_Archive_RequestedPage
408 ORDER BY Count DESC",
409 array( "Limit" => $limit,
410 "Offset" => $offset ) );
411
412 for ( $i=0; $i < count($visitor_array); $i++ )
413 {
414 $return_array[$i] = array( "ID" => $visitor_array[$i][$db->fieldName( "ID" )],
415 "URI" => $visitor_array[$i][$db->fieldName( "URI" )],
416 "Count" => $visitor_array[$i][$db->fieldName( "Count" )],
417 "Month" => $visitor_array[$i][$db->fieldName( "Month" )] );
418 }
419 return $return_array;
420 }
421
425 static public function &topRequestsCount()
426 {
427 $db =& eZDB::globalDatabase();
428
429 $db->array_query( $visitor_array,
430 "SELECT count(ID) AS Count
431 FROM eZStats_Archive_RequestedPage
432 GROUP BY ID" );
433
434 return count( $visitor_array );
435 }
436
440 static public function &topProductRequests( $limit=20, $offset=0 )
441 {
442 $db =& eZDB::globalDatabase();
443
444 $return_array = array();
445 $visitor_array = array();
446
447 $db->array_query( $visitor_array,
448 "SELECT count(eZStats_PageView.ID) AS Count, eZStats_RequestPage.ID, eZStats_RequestPage.URI
449 FROM eZStats_PageView, eZStats_RequestPage
450 WHERE eZStats_PageView.RequestPageID=eZStats_RequestPage.ID
451 AND eZStats_RequestPage.URI LIKE '/trade/productview/%'
452 GROUP BY eZStats_RequestPage.ID
453 ORDER BY Count DESC",
454 array( "Limit" => $limit,
455 "Offset" => $offset ) );
456
457 for ( $i=0; $i<count($visitor_array); $i++ )
458 {
459 $return_array[$i] = array( "ID" => $visitor_array[$i][$db->fieldName( "ID" )],
460 "URI" => $visitor_array[$i][$db->fieldName( "URI" )],
461 "Count" => $visitor_array[$i][$db->fieldName( "Count" )] );
462 }
463
464 return $return_array;
465 }
466
470 static public function &topProductAddToCart( $limit=20, $offset=0 )
471 {
472 $db =& eZDB::globalDatabase();
473
474 $return_array = array();
475 $visitor_array = array();
476
477 $db->array_query( $visitor_array,
478 "SELECT count(eZStats_PageView.ID) AS Count, eZStats_RequestPage.ID, eZStats_RequestPage.URI
479 FROM eZStats_PageView, eZStats_RequestPage
480 WHERE eZStats_PageView.RequestPageID=eZStats_RequestPage.ID
481 AND eZStats_RequestPage.URI LIKE '/trade/cart/add/%'
482 GROUP BY eZStats_RequestPage.ID
483 ORDER BY Count DESC",
484 array( "Limit" => $limit,
485 "Offset" => $offset ) );
486
487 for ( $i=0; $i<count($visitor_array); $i++ )
488 {
489 $return_array[$i] = array( "ID" => $visitor_array[$i][$db->fieldName( "ID" )],
490 "URI" => $visitor_array[$i][$db->fieldName( "URI" )],
491 "Count" => $visitor_array[$i][$db->fieldName( "Count" )] );
492 }
493 return $return_array;
494 }
495
499 static public function &topProductAddToWishlist( $limit=20, $offset=0 )
500 {
501 $db =& eZDB::globalDatabase();
502
503 $return_array = array();
504 $visitor_array = array();
505
506 $db->array_query( $visitor_array,
507 "SELECT count(eZStats_PageView.ID) AS Count, eZStats_RequestPage.ID, eZStats_RequestPage.URI
508 FROM eZStats_PageView, eZStats_RequestPage
509 WHERE eZStats_PageView.RequestPageID=eZStats_RequestPage.ID
510 AND eZStats_RequestPage.URI LIKE '/trade/wishlist/add/%'
511 GROUP BY eZStats_RequestPage.ID
512 ORDER BY Count DESC",
513 array( "Limit" => $limit,
514 "Offset" => $offset ) );
515
516 for ( $i=0; $i<count($visitor_array); $i++ )
517 {
518 $return_array[$i] = array( "ID" => $visitor_array[$i][$db->fieldName( "ID" )],
519 "URI" => $visitor_array[$i][$db->fieldName( "URI" )],
520 "Count" => $visitor_array[$i][$db->fieldName( "Count" )] );
521 }
522
523 return $return_array;
524 }
525
532 static public function &yearStats( $year )
533 {
534 $db =& eZDB::globalDatabase();
535
536 $return_array = array();
537 $visitor_array = array();
538 $month_array = array();
539
540 $TotalPages = 0;
541 // loop over the days
542 for ( $month = 1; $month <= 12; $month++ )
543 {
544 $stamp = new eZDateTime( $year, $month, 1, 0, 0, 0 );
545 if ( $month == 12 )
546 $end = new eZDateTime( $year + 1, 1, 1, 0, 0, 0 );
547 else
548 $end = new eZDateTime( $year, $month + 1, 1, 0, 0, 0 );
549
550 $db->array_query( $visitor_array,
551 "SELECT SUM(Count) AS Count FROM eZStats_Archive_PageView
552 WHERE Hour > '" . $stamp->timeStamp() . "' AND Hour < '" .
553 $end->timeStamp() . "'" );
554
555 $TotalPages += $visitor_array[0][$db->fieldName( "Count" )];
556 $month_array[] = array( "Count" => $visitor_array[0][$db->fieldName( "Count" )] );
557 }
558 $now = getdate();
559 $return_array = array( "TotalPages" => $TotalPages,
560 "PagesPrMonth" => round( $TotalPages/max( $now["mon"], 1 ) ),
561 "Months" => $month_array );
562 return $return_array;
563 }
564
571 static public function &monthStats( $year, $month )
572 {
573 $db =& eZDB::globalDatabase();
574
575 $return_array = array();
576 $visitor_array = array();
577 $day_array = array();
578
579 $date = new eZDate( $year, $month, 1 );
580
581 if ( $month < 10 )
582 $month = "0" . $month;
583
584 $TotalPages = 0;
585 // loop over the days
586 for ( $day = 1; $day <= $date->daysInMonth(); $day++ )
587 {
588 if ( $day < 10 )
589 $sday = "0" . $day;
590 else
591 $sday = $day;
592
593 $stamp = new eZDateTime( $year, $month, $sday, 0, 0 ,0 );
594 if ( $sday == $date->daysInMonth() )
595 $end = new eZDateTime( $year, $month + 1, 1, 0, 0, 0 );
596 else
597 $end = new eZDateTime( $year, $month, $sday + 1, 0, 0, 0 );
598
599 $db->array_query( $visitor_array,
600 "SELECT SUM(Count) AS Count FROM eZStats_Archive_PageView
601 WHERE Hour > '" . $stamp->timeStamp() . "' AND Hour < '" .
602 $end->timeStamp() . "'" );
603
604 if( count( $visitor_array ) > 0 )
605 {
606 $TotalPages += $visitor_array[0][$db->fieldName( "Count" )];
607 $day_array[] = array( "Count" => $visitor_array[0][$db->fieldName( "Count" )] );
608 }
609 else
610 {
611 $day_array[] = array( "Count" => 0 );
612 }
613 }
614 $now = getdate();
615 $return_array = array( "TotalPages" => $TotalPages,
616 "PagesPrDay" => round( $TotalPages/max( $now["mday"], 1 ) ),
617 "Days" => $day_array );
618
619 return $return_array;
620 }
621
628 static public function &dayStats( $year, $month, $day )
629 {
630 $db =& eZDB::globalDatabase();
631
632 $return_array = array();
633 $visitor_array = array();
634 $hour_array = array();
635
636 $TotalPages = 0;
637 // loop over the days
638 for ( $hour = 0; $hour <= 23; ++$hour )
639 {
640 $stampStart = new eZDateTime( $year, $month, $day, $hour, 0, 0 );
641 $stampEnd = new eZDateTime( $year, $month, $day, $hour, 59, 59 );
642 $db->array_query( $visitor_array,
643 "SELECT Count FROM eZStats_Archive_PageView WHERE
644 Hour>='" . $stampStart->timeStamp() . "' AND
645 Hour<='" . $stampEnd->timeStamp() . "'" );
646
647 if( count( $visitor_array ) > 0 )
648 {
649 $TotalPages += $visitor_array[0][$db->fieldName( "Count" )];
650 $hour_array[] = array( "Count" => $visitor_array[0][$db->fieldName( "Count" )] );
651 }
652 else
653 {
654 $hour_array[] = array( "Count" => 0 );
655 }
656 }
657 $now = getdate();
658 $return_array = array( "TotalPages" => $TotalPages,
659 "PagesPrHour" => round( $TotalPages/max( $now["hours"], 1 ) ),
660 "Hours" => $hour_array );
661
662 return $return_array;
663 }
664
668 static public function &topExitPage( $month, $year )
669 {
670 $db =& eZDB::globalDatabase();
671
672 $return_array = array();
673 $visitor_array = array();
674 $query = "SELECT Hit.ID, Page.URI, Page.ID AS PageID, Hit.RemoteHostID, Concat( Year(Hit.Date), DayOfYear(Hit.Date)) AS Date
675 FROM eZStats_PageView AS Hit, eZStats_RequestPage AS Page
676 WHERE Hit.RequestPageID=Page.ID AND Year(FROM_UNIXTIME(Hit.Date)) = " . $year . " AND MONTH(FROM_UNIXTIME(Hit.Date)) = " . $month ."
677 ORDER BY Hit.RemoteHostID, Hit.Date ASC";
678
679 $db->array_query( $visitor_array, $query);
680
681 foreach ( $visitor_array as $visit )
682 {
683 $idx = $visit["Date"] . $visit["RemoteHostID"];
684 //$return_array[$idx] = $visit["PageID"];
685 $return_array[$idx] = $visit;
686
687 }
688
689 return $return_array;
690
691 }
692
696 static public function &topEntryPage( $month, $year )
697 {
698 $db =& eZDB::globalDatabase();
699
700 $return_array = array();
701 $visitor_array = array();
702
703 $db->array_query( $visitor_array,
704 "SELECT Hit.ID, Page.URI, Page.ID AS PageID, Hit.RemoteHostID, Concat( Year(Hit.Date), DayOfYear(Hit.Date)) AS Date
705 FROM eZStats_PageView AS Hit, eZStats_RequestPage AS Page
706 WHERE Hit.RequestPageID=Page.ID AND Year(FROM_UNIXTIME(Hit.Date)) = " . $year . " AND MONTH(FROM_UNIXTIME(Hit.Date)) = " . $month ."
707 ORDER BY Hit.RemoteHostID, Hit.Date DESC" );
708
709 foreach ( $visitor_array as $visit )
710 {
711 $idx = $visit["Date"] . $visit["RemoteHostID"];
712
713 $return_array[$idx] = $visit["PageID"];
714
715 }
716
717 return $return_array;
718
719 }
720 }
721
722 ?>
$i
$i
Definition: admin/adlist.php:91
$day
else $day
Definition: appointmentedit.php:665
$year
else $year
Definition: appointmentedit.php:655
$month
else $month
Definition: appointmentedit.php:660
$date
$date
Definition: bugpreview.php:66
eZDB\globalDatabase
static & globalDatabase()
Definition: ezdb.php:134
eZDateTime
Definition: ezdatetime.php:55
eZDate
Definition: ezdate.php:46
eZPageViewQuery
Definition: ezpageviewquery.php:45
eZPageViewQuery\topVisitorsCount
static & topVisitorsCount()
Definition: ezpageviewquery.php:273
eZPageViewQuery\__construct
__construct()
Definition: ezpageviewquery.php:49
eZPageViewQuery\topRequests
static & topRequests( $limit=20, $offset=0)
Definition: ezpageviewquery.php:400
eZPageViewQuery\latest
static & latest( $limit=20, $offset=0)
Definition: ezpageviewquery.php:182
eZPageViewQuery\topReferers
static & topReferers( $limit=40, $excludeDomain="", $offset=0)
Definition: ezpageviewquery.php:290
eZPageViewQuery\topProductRequests
static & topProductRequests( $limit=20, $offset=0)
Definition: ezpageviewquery.php:440
eZPageViewQuery\monthStats
static & monthStats( $year, $month)
Definition: ezpageviewquery.php:571
eZPageViewQuery\yearStats
static & yearStats( $year)
Definition: ezpageviewquery.php:532
eZPageViewQuery\latestCount
static & latestCount()
Definition: ezpageviewquery.php:205
eZPageViewQuery\topEntryPage
static & topEntryPage( $month, $year)
Definition: ezpageviewquery.php:696
eZPageViewQuery\dayStats
static & dayStats( $year, $month, $day)
Definition: ezpageviewquery.php:628
eZPageViewQuery\topProductAddToWishlist
static & topProductAddToWishlist( $limit=20, $offset=0)
Definition: ezpageviewquery.php:499
eZPageViewQuery\topBrowsers
static & topBrowsers( $limit=25, $offset=0)
Definition: ezpageviewquery.php:355
eZPageViewQuery\totalPageViewsDay
static totalPageViewsDay( $dayObject)
Definition: ezpageviewquery.php:73
eZPageViewQuery\sumBrowserTypeCount
static & sumBrowserTypeCount()
Definition: ezpageviewquery.php:161
eZPageViewQuery\topBrowsersCount
static & topBrowsersCount()
Definition: ezpageviewquery.php:382
eZPageViewQuery\totalPageViewsMonth
static totalPageViewsMonth( $dayObject)
Definition: ezpageviewquery.php:119
eZPageViewQuery\topRequestsCount
static & topRequestsCount()
Definition: ezpageviewquery.php:425
eZPageViewQuery\topReferersCount
static & topReferersCount( $excludeDomain="")
Definition: ezpageviewquery.php:325
eZPageViewQuery\totalPageViews
static totalPageViews()
Definition: ezpageviewquery.php:56
eZPageViewQuery\topExitPage
static & topExitPage( $month, $year)
Definition: ezpageviewquery.php:668
eZPageViewQuery\topProductAddToCart
static & topProductAddToCart( $limit=20, $offset=0)
Definition: ezpageviewquery.php:470
eZPageViewQuery\topVisitors
static & topVisitors( $limit=20, $offset=0)
Definition: ezpageviewquery.php:226
eZPageView
Definition: ezpageview.php:47
eZPageView\getHostByAddr
static getHostByAddr( $remoteIP)
Definition: ezpageview.php:439
eZQuery
Definition: ezquery.php:54
$result
$result
Definition: companysearch.php:94
$id
$id
Definition: companytypelist.php:193
$query
if(isset( $Year) &&!is_numeric( $Year)||isset( $Month) &&!is_numeric( $Month)) $query
Definition: entryexitpages.php:65
$hour
$hour
Definition: export_froogle.php:310
$db
$db
Definition: ezarticle/user/authorlist.php:53
$now
$now
Definition: ezcalendar/user/dayview.php:401
$limit
$limit
Definition: ezimagecatalogue/admin/imagelist.php:312
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
$offset
$offset
Definition: ezstats/admin/cron.php:51
$sum
$sum
Definition: fileinfo.php:26
$count
$count
Definition: onlinetypelist.php:108
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.